Package org.eclipse.m2m.atl.engine.emfvm.lib

## Class OclType

- java.lang.Object
- - org.eclipse.m2m.atl.engine.emfvm.lib.OclType

Direct Known Subclasses:
  `OclParametrizedType`, `OclSimpleType`

    public abstract class OclType
    extends java.lang.Object

Abstract OCLtype.

### Constructor Summary

Constructors
`OclType()`

### Method Summary

All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
`static void` `addSimpleType​(java.lang.String typeName, java.lang.Class<?> typeClass)` Registers a simple type.
`abstract boolean` `conformsTo​(OclType other)` Tests if the current object conforms to the given object.
`java.lang.String` `getName()`
`static java.lang.Class<? extends java.lang.Object>` `getNativeClassfromOclTypeName​(java.lang.String typeName)` oclType util.
`static OclType` `getOclTypeFromObject​(java.lang.Object cl)` oclType util.
`static java.util.Map<java.lang.Class<?>,​java.util.List<java.lang.Class<?>>>` `getSupertypes()`
`void` `setName​(java.lang.String name)`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### OclType

    public OclType()

### Method Detail

#### getName

    public java.lang.String getName()

#### setName

    public void setName​(java.lang.String name)

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`
See Also:
  `Object.toString()`

#### conformsTo

    public abstract boolean conformsTo​(OclType other)

Tests if the current object conforms to the given object.

Parameters:
  `other` - the other object
Returns:
  true if the current object conforms to the given object

#### getSupertypes

    public static java.util.Map<java.lang.Class<?>,​java.util.List<java.lang.Class<?>>> getSupertypes()

#### getOclTypeFromObject

    public static OclType getOclTypeFromObject​(java.lang.Object cl)

oclType util.

Parameters:
  `cl` - the given class
Returns:
  the ocl type

#### getNativeClassfromOclTypeName

    public static java.lang.Class<? extends java.lang.Object> getNativeClassfromOclTypeName​(java.lang.String typeName)

oclType util.

Parameters:
  `typeName` - the given class
Returns:
  the ocl type

#### addSimpleType

    public static void addSimpleType​(java.lang.String typeName,
                                     java.lang.Class<?> typeClass)

Registers a simple type.

Parameters:
  `typeName` - the type name
  `typeClass` - the type class